We're updating the issue view to help you get more done. 

Fix Checkstyle for Java 8 syntax

Description

The current checkstyle version in use for Hibernate Search is 5.7 which is from 2014.

I am using Java 8 for some classes in my async backend pull request and checkstyle fails because of Java 8 syntax. Maybe this is due to some configuration problem, but the checkstyle version is still quite old.

In my opinion, the version should be updated to the most recent version 6.15 or to at least 6.11.2 which is compatible with maven-checkstyle-plugin:2.17.

Environment

None

Status

Assignee

Martin Braun

Reporter

Martin Braun

Labels

None

Suitable for new contributors

Yes, likely

Feedback Requested

None

Fix versions

Priority

Minor